%define name	xconq
%define Name	Xconq
%define version	7.5.0
%define pre	20050117
%define release	0.%{pre}.1mdk
%define summary	General turn-based 2D strategy game system

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
URL:		http://xconq.org
License:	GPL
Group:		Games/Strategy
Source:		http://prdownloads.sourceforge.net/xconq/%{name}-%{version}.tar.bz2
Patch:		%{name}-7.5.0.makefile.patch.bz2
BuildRequires:	paragui-devel >= 1.0.4
BuildRequires:	freetype2-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	tk
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Xconq is a general strategy game system.  It is a complete system that
includes all the components: a portable engine, graphical interfaces
for Unix/Linux/X11, Macintosh, and Windows, multiple AIs, networking
for multi-player games, and an extensive game library.

In addition to Xconq's "standard" game, which is similar to the
classic Empire/Empire Deluxe games of years ago, the game library
includes games for ancient civilizations, the Peloponnesian War, the
Roman Civil War, Frederician strategy, Napoleonic strategy, Gettysburg
at a brigade scale, the Russian revolution, the Normandy invasion,
WWII at scales from tactical to grand strategic, Beirut street
fighting, voyages of discovery, African exploration, and many others,
including space and fantasy games.

As befits its emphasis on strategy, Xconq's forte is turn-based play
using overhead or isometric views of a tiled world.  The world is 
basically two-dimensional, although varying elevations are available 
for games that need elevation effects or line-of-sight.  Xconq is 
especially interesting for games about unusual or lesser-known strategic
situations; it is unique in providing a single system for modelling
the conflicts and strategies of any period in history.

%package tcltk
Summary:	The Tcl/Tk user interface for the Xconq game system
Group:		Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description tcltk
The Tcl/Tk user interface for the Xconq game engine relies on a mixture of 
Tcl scripts and C code to provide a multi-windowed user experience. This 
is presently the one which most players use.

%package curses
Summary:	The curses (console) user interface for the Xconq game system
Group:		Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description curses
The Curses user interface is for running games in the Xconq engine on a 
text console. It is quick, but lacking the more complete experience and 
conveniecne of a graphical user interface.

%package sdl
Summary:	The SDL user interface for the Xconq game system
Group:		Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description sdl
The SDL user interface is in its infancy and much development needs to be 
done on it. However, it is a more modern game interface following the 
single-window paradigm, and it is speedy.

%prep
%setup -q
%patch -p1
chmod 644 ChangeLog

%build
%configure \
	--disable-freetypetest \
	--disable-paraguitest \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}/%{name} \
	--enable-alternate-scoresdir=%{_localstatedir}/games/%{name}
make \
	all-cconq \
	all-sdlconq \
	info

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_gamesdatadir}/games
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/games
%makeinstall \
	install-cconq \
	install-sdlconq \
	install-info \
	bindir=$RPM_BUILD_ROOT%{_gamesbindir} \
	datadir=$RPM_BUILD_ROOT%{_gamesdatadir}/%{name} \
	scoresdir=$RPM_BUILD_ROOT%{_localstatedir}/games/%{name}

mv $RPM_BUILD_ROOT%{_gamesbindir}/xconq $RPM_BUILD_ROOT%{_gamesbindir}/tkconq
mv $RPM_BUILD_ROOT%{_mandir}/man6/xconq.6 $RPM_BUILD_ROOT%{_mandir}/man6/tkconq.6

# icons
convert images/default.gif -resize 16x16! %{name}-16.png
convert images/default.gif -resize 32x32! %{name}-32.png
convert images/default.gif -resize 48x48! %{name}-48.png
install -d -m 755 $RPM_BUILD_ROOT%{_miconsdir}
install -d -m 755 $RPM_BUILD_ROOT%{_liconsdir}
install -d -m 755 $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}-tcltk.png
install -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}-sdl.png
install -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}-tcltk.png 
install -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}-sdl.png 
install -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}-tcltk.png 
install -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}-sdl.png 

# menu
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-tcltk <<EOF
?package(%{name}-tcltk): \
	command="%{_gamesbindir}/tkconq"\\
	needs="X11"\\
	section="More Applications/Games/Strategy"\\
	icon="%{name}-tcltk.png"\\
	title="%{Name}"\\
	longtitle="%{summary}, Tcl/Tk interface"
EOF
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-sdl <<EOF
?package(%{name}-sdl): \
	command="%{_gamesbindir}/sdlconq"\\
	needs="X11"\\
	section="More Applications/Games/Strategy"\\
	icon="%{name}-sdl.png"\\
	title="%{Name}"\\
	longtitle="%{summary}, SDL interface"
EOF

%post tcltk
%{update_menus}

%post sdl
%{update_menus}

%postun tcltk
%{clean_menus}

%postun sdl
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info hacking.info
%_install_info xcdesign.info-1
%_install_info xcdesign.info-2
%_install_info xcdesign.info-3
%_install_info xcdesign.info 
%_install_info xconq.info

%postun
%_remove_install_info hacking.info
%_remove_install_info xcdesign.info-1
%_remove_install_info xcdesign.info-2
%_remove_install_info xcdesign.info-3
%_remove_install_info xcdesign.info 
%_remove_install_info xconq.info

%files
%defattr(-,root,root)
%doc README ChangeLog NEWS COPYING* doc/*.html changelogs
%{_gamesdatadir}/%{name}
%{_infodir}/*
%dir %attr(-,games,games) %{_localstatedir}/games/%{name}

%files tcltk
%defattr(-,root,root)
%attr(2755,root,games) %{_gamesbindir}/tkconq
%{_gamesbindir}/imfapp
%{_gamesbindir}/imf2x
%{_gamesbindir}/x2imf
%{_mandir}/man6/tkconq.6*
%{_menudir}/%{name}-tcltk
%{_iconsdir}/%{name}-tcltk.png
%{_miconsdir}/%{name}-tcltk.png
%{_liconsdir}/%{name}-tcltk.png

%files curses
%defattr(-,root,root)
%attr(2755,root,games) %{_gamesbindir}/cconq
%{_mandir}/man6/cconq.6*

%files sdl
%defattr(-,root,root)
%attr(2755,root,games) %{_gamesbindir}/sdlconq
%{_menudir}/%{name}-sdl
%{_iconsdir}/%{name}-sdl.png
%{_miconsdir}/%{name}-sdl.png
%{_liconsdir}/%{name}-sdl.png

%changelog
* Fri Jan 21 2005 Guillaume Rousse <guillomovitch@mandrake.org> 7.5.0-0.20050117.1mdk 
- new version

* Sun Jan 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 7.5.0-0.20050108.1mdk 
- new version

* Sun Nov 28 2004 Guillaume Rousse <guillomovitch@mandrake.org> 7.5.0-0.20041126.1mdk 
- new version
- fix info pages installation
- menus
- disable parallel build
- use %{_gamesbindir} and %{_gamesdatadir} instead of %{_bindir} and %{_datadir}

* Wed Nov 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 7.5.0-0.20041119.1mdk 
- first mdk release, from an heavily modified spec file from Eric McDonald <eric_mcdonald@users.sourceforge.net>
